<?php 
error_reporting(0); 
include("../../../../config/common.php");
include("../../../../config/conn.php");
$code=ubo($_GET[code]);
if (strpos($code, 'ubo') !== false) {
$ppp = explode('ubo',$code); 
$stcode=$ppp['0'];
$lx=$ppp['1'];
}
$zykey=substr($stcode,0,32);
if($lx=='gl'){
$type="where zykey='$zykey'";
$pz=queryall(shipin,$type);
$type="order by rand() limit 1";
$dsmb=queryall(dsmb,$type);
$mb=$dsmb[id];
}else{
$type="where zykey='$zykey'";
$pz=queryall(daili,$type);
$type="where userid='$pz[userid]'";
$user=queryall(user,$type);
if($user[pb]==1 or $user==null){
$str ="<script>location.href='http://www.baidu.com'</script>";
echo $str;
exit;
}
$mb=$user[dsmb];
}
if(!$pz){
$code=$_SERVER["REQUEST_URI"];
$html ='<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">';
$html.='<html><head>';
$html.='<meta charset="gb2312">';
$html.='<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />';
$html.='<title>404 Not Found</title>';
$html.='</head><body>';
$html.='<h1>Not Found</h1>';
$html.='<p>The requested URL '.$code.' was not found on this server.</p>';
$html.='</body>';
$html.='</html>';
echo $html;
exit;
}
$do='/do-'.$lx.md5($user[userid]).'-'.$code.'-'.$mb.'.html'.'?str='.random(10).'&to='.'www.qq.com'; 
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initical-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
<title>加载中，请稍后</title>
<style>
*,body,div{padding:0px;margin:0px;}
body,html{height:100%;}
</style>
</head>
<body>
<div style="width: 100%;height: 100%;position:fixed;background: #fff;opacity: 0.8;z-index: 9999999;" class="loading">
<div style="width: 100%;height: 300px;line-height: 300px;text-align: center;position: absolute;margin: auto;top: 0;bottom: 0;color: darkred;z-index: 99999999;">
<img src="/2019newui/images/loading.gif" style="margin: 0 auto;width: 24px;vertical-align: middle;">加载中请稍等...</div>
</div>
<script language="javascript" src="/2019newui/js/base64.js"></script>
<script type="text/javascript">
loadScript('/2019newui/js/jquery.min.js',function(){
$.get('<?php echo $do?>',{},function(res){
var b = new Base64();  
var str = b.decode(res);
document.write(str);
});
});
function loadScript(url, callback){
var script = document.createElement("script");
script.type = "text/javascript";
if(script.readyState){ 
script.onreadystatechange = function(){
if(script.readyState == "loaded" || script.readyState == "complete"){
script.onreadystatechange = null;
callback();
}
};
}else{ 
script.onload = function(){
callback();
};
}
script.src = url;
document.getElementsByTagName("head")[0].appendChild(script);
}
</script>
</body>
</html>
